RevisionType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.envers
Enum RevisionType

    java.lang.Object
      java.lang.Enum<RevisionType>
          org.hibernate.envers.RevisionType

All Implemented Interfaces:
  Serializable, Comparable<RevisionType>

    public enum RevisionType

extends Enum<RevisionType>

Type of the revision.

Enum Constant Summary
`ADD` Indicates that the entity was added (persisted) at that revision.
`DEL` Indicates that the entity was deleted (removed) at that revision.
`MOD` Indicates that the entity was modified (one or more of its fields) at that revision.

Method Summary
`static RevisionType` | `fromRepresentation(Object representation)`
`Byte` | `getRepresentation()`
`static RevisionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RevisionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final RevisionType ADD

  Indicates that the entity was added (persisted) at that revision.

### MOD

    public static final RevisionType MOD

  Indicates that the entity was modified (one or more of its fields) at that revision.

### DEL

    public static final RevisionType DEL

  Indicates that the entity was deleted (removed) at that revision.

Method Detail

### values

    public static RevisionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RevisionType c : RevisionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RevisionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getRepresentation

    public Byte getRepresentation()

### fromRepresentation

    public static RevisionType fromRepresentation(Object representation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.